import PropTypes from 'prop-types';
import styled from 'styled-components';

const noWrap = `
  overflow: 'hidden',
  textOverflow: 'ellipsis',
  whiteSpace: 'nowrap',
`;

const H1 = styled.h1`
  font-size: 1.5em;
  ${props => props.align && `text-align: ${props.align};`};
  ${props => props.noWrap && noWrap};
  color: palevioletred;
`;

H1.propTypes = {
  /**
   * Set the text-align on the component.
   */
  align: PropTypes.oneOf(['inherit', 'left', 'center', 'right', 'justify']),
  /**
   * The content of the component.
   */
  children: PropTypes.node,
  /**
   * If `true`, the text will not wrap, but instead will truncate with an ellipsis.
   */
  noWrap: PropTypes.bool
};

H1.defaultProps = {
  align: 'inherit',
  color: 'default',
  gutterBottom: false,
  noWrap: false
};

export default H1;